
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaScript中的排序算法代码_javascript技巧 / iVAN</title>

    <meta name="description" content="JavaScript中的排序算法代码_javascript技巧 作为排序依据的数据项称为&quot;排序码&quot;,也即数据元素的关键码.为了便于查找,通常希望计算机中的数据表是按关键码有序的.如有序表的折半查找,查找效率较高.还有,二叉排序树.B-树和B+树的构造过程就是一个排序过程.若关键码是主关键码,则对于任意待排序序列,经排序后得到的结果是唯一的:若关键码是次关键码,排序结果可能不唯一,这是因为具有相同关键码的数据元素,这些元素在排序结果中,它们之间的的位置关系与排序前不能保持. 若对任意的数据元素序列,使用某个排序方法,对它按关键码进行排序:若 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JavaScript中的排序算法代码_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>作为排序依据的数据项称为“排序码”，也即数据元素的关键码。为了便于查找，通常希望计算机中的数据表是按关键码有序的。如有序表的折半查找，查找效率较高。还有，二叉排序树、B-树和B+树的构造过程就是一个排序过程。若关键码是主关键码，则对于任意待排序序列，经排序后得到的结果是唯一的；若关键码是次关键码，排序结果可能不唯一，这是因为具有相同关键码的数据元素，这些元素在排序结果中，它们之间的的位置关系与排序前不能保持。 <br />若对任意的数据元素序列，使用某个排序方法，对它按关键码进行排序：若相同关键码元素间的位置关系，排序前与排序后保持一致，称此排序方法是稳定的；而不能保持一致的排序方法则称为不稳定的。 <br />排序分为两类：内排序和外排序。 <br />内排序：指待排序列完全存放在内存中所进行的排序过程，适合不太大的元素序列。 <br />外排序：指排序过程中还需访问外存储器，足够大的元素序列，因不能完全放入内存，只能使用外排序。</p>
<p>现在贴3种排序算法的JavaScript实现。</p>
<p>首先是最简单的，是个人都会的冒泡排序。就不多说了，直接贴代码</p>
<p><u>复制代码</u> 代码如下:</p>
<p>/** @name 冒泡排序 <br />* @lastmodify 2010/07/13 <br />* @desc 比较排序 <br />复杂度为O(n*n) <br />*/ <br />function BubbleSort(list){ <br />var len = list.length; <br />var cl,temp; <br />while(len--){ <br />cl = list.length; <br />while(cl--){ <br />if(list[cl]&gt;list[len] &amp;&amp; cl &lt; len){ <br />temp = list[len]; <br />list[len] = list[cl]; <br />list[cl] = temp; <br />} <br />} <br />} <br />return list; <br />}</p>
<p>然后是最常见的快速排序，面试基本上都会问到。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>/** @name 快速排序 <br />* @lastmodify 2010/07/14 <br />* @desc 比较排序 <br />最差运行时间O(n*n); <br />最好运行时间O(nlogn) <br />*/ <br />function QuickSort(list){ <br />var i = 0; <br />var j = list.length; <br />var len = j; <br />var left; <br />var right; <br />var k = findK(i , j); <br />if(k != 0){ <br />var leftArr = []; <br />var rightArr = []; <br />var midArr = [list[k]]; <br />while(len--) { <br />if(len != k){ <br />if(list[len] &gt; list[k]){ <br />rightArr.push(list[len]); <br />} <br />else{ <br />leftArr.push(list[len]); <br />} <br />} <br />} <br />left = QuickSort(leftArr); <br />right = QuickSort(rightArr); <br />list = left.concat(midArr).concat(right); <br />} <br />return list; <br />}</p>
<p>function findK(i,j){ <br />//默认找它的中间位置 <br />return Math.floor((i + j) / 2); <br />}</p>
<p>快速排序的主要思想就是分治法，将被排序的序列分割为2块，从而将排序的复杂度降低。递归的巧用也是快速排序的精妙之处。在上个例子中，首先使用findK函数找出“参照元素”，其他元素依次和该元素进行比较，所有比其大的放入一个集合中，比其小的放入另外一个集合中，再分别对两个集合进行排序。快速排序的效率主要取决于findK函数的实现和待排序元素的有序程度。因此，快速排序是一个不稳定的排序算法。</p>
<p>但是快速排序仍然是一个基于比较的排序算法。所有基于比较的排序算法有一个特点，就是无论怎样优化，它对于一个元素集合的平均排序时间总是随着该集合元素数量的增加而增加。而非比较的排序很好的克服了这个缺点，它们试图让排序时间复杂度趋于一个数量无关的稳定值。其中比较有代表性的就是桶排序了。先看看它的JavaScript实现。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>/** @name 桶排序 <br />* @author lebron <br />* @lastmodify 2010/07/15 <br />* @desc 非比较排序 <br />*/ <br />function BucketSort(list) { <br />var len = list.length; <br />var range = findMax(list); <br />var result = [], <br />count = []; <br />var i,j; <br />for (i = 0; i &lt; range; i++) { <br />count.push(0); <br />}</p>
<p>for ( j = 0; j &lt; len; j++) { <br />count[list[j]]++; <br />result.push(0); <br />} <br />for (i = 1; i &lt; range; i++) { <br />count[i] = count[i-1] + count[i]; <br />} <br />for (j = len - 1; j &gt;= 0; j--) { <br />result[count[list[j]]] = list[j]; <br />count[list[j]]--; <br />} <br />return result; <br />}</p>
<p>function findMax(list) { <br />return MAX; <br />}</p>
<p>可以看到，在桶排序的实现中，仍然使用了一个findMax函数来确定一个大数组的范围，这里直接用一个常量MAX来代替。首先初始化一个大数组count，长度为MAX。在将被排序集合里面的值放入到对应的位置上去，比如有一个元素值为24，那么count的第24位被标记为1，同时result数组长度+1。再计算出count数组中标志为1的元素位置在整个count数组中标志为1的排位。此时count数组中，第n个元素的值，就应当是排序后它的位置，而n这是这个排序后这个位置对应的值。所以，最后再一一的将count数组里面的键值倒过来映射入结果数组中即可。 <br />桶排序巧妙的利用了这样一种思想，如果一个元素它在一个集合中是第n大的，那么它应该排第n位，而无需关心它前一位或者后一位是比它大还是比它小（无需比较）。很显然的是，在实际情况中，被排序集合的元素的值的范围很可能远远大于这个集合的元素数量，因此，也需要分配相应的一个巨大空间的数组才行。因此，桶排序的常见场景是在外排序上面。</p>
<p>有兴趣的同学，可以测试下3种排序在不同数量级下的耗时。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-03 14:46:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%8e%92%e5%ba%8f%e7%ae%97%e6%b3%95/" title="排序算法">排序算法</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JavaScript中的排序算法代码_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7wv7Kz.html" rel="bookmark">在JavaScript中构建ArrayList示例代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面我们介绍了JavaScript Array 的API,在JavaScript 中 数组 本身就非常强大,可以存储任意类型,且长度自动扩容,又提供 遍历, 过滤,等多个操作数组的方法. 简直完爆Java的的数组(长度固定,单一类型).而Java中的集合类 就是弥补数组不足,其底层大多使用Object [] 存储,只是提供动态扩容的策略,当然JDK的 API 之丰富,是其他语言难以匹敌的. 但是不妨碍我对Java.JavaScript的喜爱. Java就像 一个中年老妇女,你总能在JDK中 看到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKrNRz.html" rel="bookmark">JavaScript中URL编码函数代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下是对变量值的URL编码总结 : 建议用encodeURIComponent() , GET 和POST方式都可以发送过去 . JavaScript中存在几种对URL字符串进行编码的方法:escape(),encodeURI(),以及encodeURIComponent().这几种编码所起的作用各不相同. escape() 方法: 采用ISO Latin字符集对指定的字符串进行编码.所有的空格符.标点符号.特殊字符以及其他非ASCII字符都将被转化成%xx格式的字符编码(xx等于该字符在字符集			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7ABoz.html" rel="bookmark">javascript中xml操作实现代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript 端: 复制代码 代码如下: //初始化页面 function init() { var ary = JSONToArray(XMLReader(&quot;node&quot;,&quot;content.dibi&quot;)); var divtoc = document.getElementById(&quot;div_toc&quot;); pageCount = ary.length; for(k = 0; k &lt; ary.length; k++){ obj = ev			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgQgwEz.html" rel="bookmark">JavaScript 给汉字排序实例代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				比如 var arr = [&quot;中&quot;,&quot;华&quot;,&quot;人&quot;,&quot;民&quot;,&quot;共&quot;,&quot;和&quot;,&quot;国&quot;],在执行 sort 方法后结果为 :中,人,共,华,和,国,民,既不是拼音也不是笔划数量的排序.     以前很少留意过 localeCompare 方法,手册中说它执行时返回一个值,指出在当前的区域设置中两个字符串是否相同.返回值有三种:-1,0,1,刚好是 sort 方法参数所需要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnnNg2p.html" rel="bookmark">javascript 二维排序表格代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				二维排序表格   列1 列2 列3 列4 列5 列6 行1             行2             行3             行4             行5             说明: 1.排序功能:单击行表头或列表头则进行正序排序:若再次单击,则进行逆序: 2.修改功能:双击某个单元格,则可进行输入操作,当输入框失去焦点时,则新数据被保存: 3.随机功能:每次刷新页面,表格中的数据都不一样:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2g5jM.html" rel="bookmark">javascript中的继承实例代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: function Polygon(iSliders){ //定义一个多边形 this.silders=iSliders; } Polygon.prototype.getArea=function(){ //为多边形定义一个去的面积的方法 return 0; } function Triangle(iBase,iHeight){ Polygon.call(this,3); //继承多边形对象 this.base=iBase; this.height=iHeight; } Tr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1Oyob.html" rel="bookmark">JavaScript中几种常见排序算法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说明 写这个主要是为了锻炼自己,并无实际意义. 每个浏览器测试得出的数据会不一样.比如我用chrome 测试 一般快速排序都会最快,IE 则根据数组长度有可能希尔最快. 不要用太大数据去测试冒泡排序(浏览器崩溃了我不管) 如果有兴趣可以 下载测试页面 个人理解 冒泡排序:最简单,也最慢,貌似长度小于7最优 插入排序: 比冒泡快,比快速排序和希尔排序慢,较小数据有优势 快速排序:这是一个非常快的排序方式,V8的sort方法就使用快速排序和插入排序的结合 希尔排序:在非chrome下数组长度小于10			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEmQ1z.html" rel="bookmark">javascript中setAttribute兼容性用法分析&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例分析了javascript中setAttribute兼容性用法.分享给大家供大家参考,具体如下: 1:常规属性建议使用 node.XXXX. 2:自定义属性建议使用node.getAttribute(&quot;XXXX&quot;). 3:当获取的目标是JS里的关键字时建议使用node.getAttribute(&quot;XXX&quot;),如label中的for. 4:当获取的目标是保留字,如:class,请使用className代替. setAttribute(string name,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYRPj6p.html" rel="bookmark">JavaScript中setTimeout的那些事儿&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.setTimeout那些事儿之单线程  一直以来,大家都在说Javascript是单线程,浏览器无论在什么时候,都且只有一个线程在运行JavaScript程序.  但是,不知道大家有疑问没--就是我们在编程过程中的setTimeout(类似的还有setInterval.Ajax),不是异步执行的吗?!!  例如: &lt;!DOCTYPE html&gt; &lt;head&gt; &lt;title&gt;setTimeout&lt;/title&gt; &lt;meta http-equiv=&q			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M08RJM.html" rel="bookmark" class="title">CSS网页制作实例&colon;三列等高DIV的网页布局</a>
					<div>
						文章简介:用纯CSS实现三列DIV等高布局的方法. 散列等高 &lt;body&gt;&lt;div id=&quot;wrap&quot;&gt;&lt;div id=&quot;left&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5yRWp.html" rel="bookmark" class="title">Flash中表现粗细变化笔触效果</a>
					<div>
						本文主要介绍在Flash中用鼠标模拟压感笔有粗细变化的笔触效果的方法. 我们知道,压感笔是专业图形设计师常用的一种辅助设计工具.设计师们可以利用它的压力感知功能用手轻松的描绘出笔画的粗细.色调的明暗以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLWWZb.html" rel="bookmark" class="title">阿里云上的新发现：又一种与虚拟内存有关的CPU波动情</a>
					<div>
						在云上真是无奇不有,昨天偶然间发现在IIS的应用程序池回收设置中,仅仅设置了一下基于虚拟内存限制的回收,就引发了CPU有规律的波动.在这篇博文中,我们将向大家汇报一下云计算之路上的这个小发现. 在之前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd75BNM.html" rel="bookmark" class="title">Flash给任意照片添加雪景动画</a>
					<div>
						本例是Flash入门教程:给任意照片添加雪景动画,学习视频文件的导入.嵌入,影片剪辑的创建操作.先看看效果演示: 准备工作:雪景图片.下雪的视频. 1.打开Flash,新建FLA文件. 2.导入图片: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKQ7Vp.html" rel="bookmark" class="title">Win8系统下如何禁用来宾用户</a>
					<div>
						Windows 8系统core版又称作Win8系统核心版,这个版本适用于台式机和笔记本用户以及普通家庭用户.对普通用户来讲,Windows 8就是最佳选择.包括全新的Windows商店.文件资源管理器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLamnRz.html" rel="bookmark" class="title">Photoshop调出公园女孩淡淡黄色效果</a>
					<div>
						效果图: 原照片:点击图像可查得原大图. 我试处理的步骤: 一清污 1.新建一空白图层,使用修复画笔工具清除脸部污点. 二提亮画面 2.色阶调整图层. 3.曲线调整图层.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP81G8p.html" rel="bookmark" class="title">U大师U盘启动盘制作图文教程</a>
					<div>
						还在为重装系统发愁吗?还在为没有光驱,或是没有系统光盘而烦恼吗?未解决广大计算机用户的烦恼,U大师推出一款制作启动U盘的软件工具--U大师-u盘启动盘制作工具,可完成U盘一键安装系统的制作,可实现GH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Edo3M.html" rel="bookmark" class="title">乐8苹果助手怎么样</a>
					<div>
						  乐8苹果助手电脑版(乐8苹果助手PC版) 是一款同时支持iPhone.iPad.iTouch等iOS设备的电脑软件,乐8苹果助手电脑版可以实现在电脑上直接下载软件.游戏.壁纸.铃声资源的下载安装和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badRnwz.html" rel="bookmark" class="title">vs2012-VS2012问题：程序无法启动，找不到指定文件</a>
					<div>
						问题描述 VS2012问题:程序无法启动,找不到指定文件 我用的是vs2012,可是就是无法运行.重装了3遍,按照百度上各种方法尝试过都不行.大神帮帮忙. 解决方案 两年后的我同样也想知道怎么弄... ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywlBJz.html" rel="bookmark" class="title">如何处理JavaScript内存泄露</a>
					<div>
						几周前,我们开始写一个系列,深入探讨JavaScript和它的工作原理.我们认为了解JavaScript的构成以及它们如何协作,有助于编写出更好的代码和应用程序. 本系列第一篇重点介绍了引擎.运行时. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7NAZz.html" rel="bookmark" class="title">云打印实在吗？</a>
					<div>
						1.理论上的云打印很强大 云打印是2010年打印行业最热门的关键词,云打印到底是一个怎样的概念,相信了解过惠普云打印产品的人都应该清楚,它与云计算是一个道理的,是将http://www.aliyun. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6w7wb.html" rel="bookmark" class="title">&lbrack;精通Objective-C&rsqb;类，接口，协议与扩展</a>
					<div>
						[精通Objective-C]类,接口,协议与扩展 参考书籍:&lt;精通Objective-C&gt;[美] Keith Lee 目录 精通Objective-C类接口协议与扩展 目录 类 类的接口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PgD3p.html" rel="bookmark" class="title">jsp中图片无法显示 急！ 在线等！</a>
					<div>
						问题描述 &lt;s:iteratorvalue=&quot;urls&quot;id=&quot;imgUrl&quot;&gt;&lt;!--&lt;s:propertyvalue=&quot;i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamVVgb.html" rel="bookmark" class="title">jsp-如何在html或JSP页面直接展示pdf文件内容？</a>
					<div>
						问题描述 如何在html或JSP页面直接展示pdf文件内容? 想了解下有没有办法,在浏览器不需要安装pdf播发插件时,直接在html或jsp页面直接显示pdf文件内容? 解决方案 pdf.js 是一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDNAKz.html" rel="bookmark" class="title">android-manifest&period;xml中filter内容是取的交集么</a>
					<div>
						问题描述 manifest.xml中filter内容是取的交集么 &lt;data android:scheme=&quot;http&quot; /&gt; &lt;data android:sch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlwdrp.html" rel="bookmark" class="title">机房收费系统之导出Excel</a>
					<div>
						        刚开始接触机房收费的时候,连上数据库,配置ODBC,登陆进去,那窗体叫一个多,不由地有种害怕的感觉,但是有人说,每天努力一点点,就会进步一点点,不会的就会少一点点,会的就会多一点点.. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRD53Kz.html" rel="bookmark" class="title">如何在Linux桌面上使用Gifine录制GIF动画？</a>
					<div>
						不用我说,你也知道 GIF 动画在过去几年发展迅速.人们经常在线上文字交流时使用动画增添趣味,同时这些动画在很多其他地方也显得非常有用. 在技术领域使用动画能够很快的描述出现的问题或者返回的错误.它也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZE0lp.html" rel="bookmark" class="title">四年站长剖析影视站的建站技巧和酸甜苦辣</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今天7度小编就以第一视角的方式向各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkKVrM.html" rel="bookmark" class="title">AT&amp;amp&semi;T的SDN&sol;NFV投资已经进入良性循环</a>
					<div>
						AT&amp;T近日表示其持续的软件定义网络(SDN)和网络功能虚拟化(NFV)以及网络虚拟化(NV)方面的投资已经为该运营商带来了成本节约的优势,并且节省下来的成本正在成为推动虚拟化工作发展的资金. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAvE5b.html" rel="bookmark" class="title">如何开启websphere的jmx</a>
					<div>
						问题描述 如何开启websphere的jmx 解决方案 解决方案二:着急啊,有人在吗解决方案三:不知道,来看看高人回复					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBga8KM.html" rel="bookmark" class="title">新ICT时代来了，有没有感觉到不一样？</a>
					<div>
						不管你有没有感觉,我们都在进入一个新的ICT技术使用时代,也就是新 ICT时代. 比如现在无需等待抄表师傅上门,通过支付宝就能了解电表余量,并快速缴纳水电费:在观看电视节目时除了可以随意点播,还能通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWkejM.html" rel="bookmark" class="title">oracle-数据库与项目字符集不一致，中文全是乱码</a>
					<div>
						问题描述 数据库与项目字符集不一致,中文全是乱码 数据库迁移了,新的oracle字符集编码是AMERICAN_AMERICA.US7ASCII,项目编码为UTF-8,Java编码,现在页面上查询数据库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodwVEM.html" rel="bookmark" class="title">如何解决Android分裂？谷歌答案难以令人信服</a>
					<div>
						Android的成功原因在于开放,上百家硬件厂商的支持使其到达今天的成就.但也正是由于厂商众多,Android遇到一个老生常谈的问题:版本分裂. TwitterDeck早在2010年就通过官方博客展示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE0Qmp.html" rel="bookmark" class="title">Docker 镜像和容器的区别详解&lowbar;docker</a>
					<div>
						 最近学习Docker,被Docker 的镜像和容器搞的晕头转向,索性上网查找相关资料并整理下彻底的理解这块内容,有需要的小伙伴可以看下,少走点弯路. Docker的镜像和容器的区别          ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GE5Ap.html" rel="bookmark" class="title">Android中RecyclerView嵌套滑动冲突解决的代码片段&lowbar;Android</a>
					<div>
						在纵向RecyclerView嵌套横向RecyclerView时,如果纵向RecyclerView有下拉刷新功能,那么内部的横向RecyclerView的横向滑动体验会很差.(只有纯横向滑动时,才能滑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYJ2Vb.html" rel="bookmark" class="title">浅析C语言中的setjmp与longjmp函数&lowbar;C 语言</a>
					<div>
						setjmp和longjmp是C语言独有的,只有将它们结合起来使用,才能达到程序控制流有效转移的目的,按照程序员的预先设计的意图,去实现对程序中可能出现的异常进行集中处理. 先来看一下这两个函数的定义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QqZWp.html" rel="bookmark" class="title">安卓手机已连上WiFi的密码怎么查看</a>
					<div>
						RE文件管理器是必须安装了我们需要在安卓手机中安装一个RE文件管理器了,然后才可以查看wifi密码了. 1.手机安装RE文件管理器 2.之后我们打开手机中的&quot;&quot;RE文件管理器 &q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8vZWp.html" rel="bookmark" class="title">未来的网站策划五大趋势 思路要清晰合理</a>
					<div>
						网站策划是成功网站平台建设成败的关键内容之一.在中国真正普及全职的网站策划人员严格讲是2002年,在之前更多是由技术性人才(软件项目经理.网站美工等)担任此项职位,随着中国互联网环境转晴,网站的高竞争 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MqWQ5az.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNzA5MDQyMjE0NTAxMDQ/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW1odmRYcG9ZVzk0YVc5dVp6RXlNamM9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MqWQ5az.html" rel="bookmark" class="title">创新的功劳不属于某一个人---读《创新者》有感</a>
					<div>
						最近,我阅读了&lt;史蒂夫·乔布斯传&gt;一书作者艾萨克森的新书&lt;创新者&gt;,本文分享一下我读完此书的感想,同时也推荐大家阅读一下这本书. 我最早是通过阅读吴军老师的得到专栏&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqmPqb.html" rel="bookmark" class="title">携程联系客人取消订单费用全退</a>
					<div>
						记者昨日从深圳各大旅行社了解到,印尼地震发生以来,泰国国家旅游局网站(微博)等均发出紧急避险通告.http://www.aliyun.com/zixun/aggregation/10776.html& ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
